.footer--section {
    position: relative;
    overflow: hidden;
}

.footer--container {
    padding: 60px var(--theme-content-padding);
    color: var(--theme-off-white);
    text-align: center;
    position: relative;
}

.footer--logo {
    display: inline-block;
    margin-bottom: 30px;
}

.footer--social {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-bottom: 40px;
    max-width: 155px;
    margin: 0 auto 30px;
}

.footer--social a {
    font-size: 28px;
    display: inline-block;
    height: 1em;
    width: 1em;
    position: relative;
}

.footer--social a:after {
    content: "";
    position: absolute;
    top: -5px;
    left: -10px;
    right: -10px;
    bottom: -5px;
}

.footer--social a svg {
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: center;
}

.footer--privacy-nav {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    line-height: 1;
    gap: 0;
}

.footer--privacy-nav li {
    padding: 0 6px;
    border-right: 1px solid var(--theme-off-white);
}

.footer--privacy-nav li:last-child {
    border-right: none;
}

.footer--button-wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    margin-bottom: 30px;
}

.footer--button {
    min-width: 240px;
}

.footer--menu-title {
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: .03em;
    margin-bottom: 20px;
}

.footer--quick-links-nav {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.footer--quick-links-nav:nth-child(2) {
    margin-top: 8px;
}

.footer--quick-links-nav:last-child {
    margin-bottom: 45px;
}

.footer--section a:not(.btn):hover {
    transition: all .3s;
    color: var(--theme-red);
}

.footer--legal {
    text-align: right;
    max-width: 675px;
    margin-left: auto;
}

@media (max-width: 767px) {
     .footer--logo-col {
        order: 3;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .footer--logo {
        margin-bottom: 0;
        position: relative;
    }

    .footer--logo:after {
        content: "";
        position: absolute;
        width: 100%;
        height: 10px;
        background: var(--theme-red);
        bottom: -60px;
        left: 0;
    }

    .footer--social {
        margin: 0;
        align-self: flex-end;
    }

    .footer--button-wrap {
        justify-content: flex-end;
        flex-direction: column;
    }

    .footer--menu-col {
        text-align: right;
    }

    .footer--quick-links-nav {
        margin-bottom: 20px;
    }

    .footer--privacy-nav-wrap {
        display: flex;
        flex-direction: column;
        margin-bottom: 40px;
    }

    .footer--privacy-nav {
        align-self: flex-end;
    }

    .footer--privacy-nav li:last-child {
        padding-right: 0;
    }

}

@media (min-width: 768px) {

    .footer--social {
        margin-bottom: 0;
        min-width: calc(100% + 14px);
        margin-left: -7px;
        position: relative;
        color: var(--theme-sand);
    }

    .footer--social:after {
        content: "";
        position: absolute;
        width: 100%;
        height: 10px;
        background: var(--theme-red);
        bottom: -60px;
    }

    .footer--button-col {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
    }

    .footer--button-wrap {
        flex-direction: column;
        justify-content: flex-start;
        align-self: flex-start;
    }

    .footer--menu-title,
    .footer--quick-links-nav {
        text-align: right;
    }

}